<template>
  <!-- 船运计费详单页面 -->
  <div class="purchaseOrder">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="shipclick">
        生成水运费账单
      </el-button>
      <el-button type="primary" @click="waterclick">
        生成水分检测费账单
      </el-button>
      <el-button type="primary" @click="click()">
        生成途损费账单
      </el-button>
    </div>
    <dilTable v-bind.sync="option" >
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="btnclick(scope.row)" type="text" size="small"
            >详情</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "purchaseOrder",
  data() {
    return {
      input:"",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getStatementList?apiId=113",
      },
    };
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/bms/getStatementList?apiId=113&con="+this.input;
    },
    btnclick(row) {
      this.$router.push("/statementDetailsOrder/" + row.batchId + "?statementId=" + row.statementId);
    },
    shipclick() {
      this.$router.push("/uncomplateDetails");
    },
    waterclick() {
      this.$router.push("/uncomplateWater");
    },
    click() {
      this.$router.push("/toBeStatement");
    }
  },
};
</script>
<style lang='scss' scoped>
.purchaseOrder {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>